

#include <AFMotor.h>

int trigPin = 1;   
int echoPin = 2; 
long duration, cm;
AF_DCMotor motor1(1, MOTOR12_64KHZ); 
AF_DCMotor motor2(2, MOTOR12_64KHZ);
const unsigned long period = 1000; 
int timer;

unsigned long startMillis;  
unsigned long currentMillis; 

void setup()
{

 motor1.setSpeed(200);     
 motor2.setSpeed(200);  
  pinMode(trigPin, OUTPUT);
  pinMode(echoPin, INPUT);
  Serial.begin(9600); 
}

void loop()
{

  digitalWrite(trigPin, LOW);
  delayMicroseconds(5); 
  digitalWrite(trigPin, HIGH);
  delayMicroseconds(10);
  digitalWrite(trigPin, LOW);
  pinMode(echoPin, INPUT);
  duration = pulseIn(echoPin, HIGH);

  cm = (duration / 2) / 29.1;
   delay(10);
   
  Serial.print(cm);
  Serial.println(" cm"); 
//Serial.println(cm);
 

  currentMillis = millis();  
  if (currentMillis - startMillis >= period)  
  {
    timer++; // incrementer le temps
    if (timer > 8) { // Si on atteint 8 (8000 ms)
      timer = 0; // remettre le timer a 0 s
    }
    startMillis = currentMillis; }
  
 if (cm >31)      
  {
//Serial.println(cm);
 motor1.run(FORWARD);     
 motor2.run(FORWARD);     
   }
   
 if (cm < 30)
  {
 if (timer >= 0 && timer <= 2.5) {
 motor1.run(RELEASE);     
  motor2.run(RELEASE);     
//delay(500);
 }
  if (timer >= 2.5 && timer <= 5) {
 motor1.run(BACKWARD);      
 motor2.run(BACKWARD);     
//delay(500);
  }
   if (timer >= 5 && timer <= 5.5) {
 motor1.run(RELEASE);    
  motor2.run(RELEASE);     
//delay(100);
   }
    else {
 motor1.run(FORWARD);      
 motor1.run(RELEASE);    
//delay(500);
    }
  } 
}
